%define 	pversion 6.0.0
%define 	bversion 6
%define		build_rhe_6x   0
%define		build_rhe_7x   0
%define		build_unk      1

%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}
%{?_with_rhe7x: 	%{expand: %%define build_rhe_7x   1}}

%if %{build_rhe_6x}
%define		oscode      rhe6x
%define		build_unk   0
%endif

%if %{build_rhe_7x}
%define		oscode      rhe7x
%define		build_unk   0
%endif

%if %{build_unk}
%define		oscode unk
%endif

%define	  release %{bversion}.%{oscode}.iworx

Summary:	PHP Hypertext Preprocessor (InterWorx)
Name:		  php-iworx
Version:	%{pversion}
Release:	%{release}
License:	PHP License, version 2.02

Epoch:    1

Group:		Development/Languages

Distribution:	InterWorx-HAL
Vendor:       INTERWORX L.L.C
Packager:	    Tim College <tcollege@interworx.com>

%description
This is a shim package to fulfill rpm dependency requirements.

%install
mkdir -p $RPM_BUILD_ROOT%{_iworx_dir_sysconf}/env
touch $RPM_BUILD_ROOT%{_iworx_dir_sysconf}/env/dummy-php-installed

%files
%{_iworx_dir_sysconf}/env/dummy-php-installed

%changelog
* Wed Jun 13 2018 Tim College <tcollege@interworx.com> - 6.0.0
- Changed to dummy package as part of changing to iworxphp72
